# Interface PublishArtifactSet

All Superinterfaces:
  `Buildable, Collection<PublishArtifact>, DomainObjectCollection<PublishArtifact>, DomainObjectSet<PublishArtifact>, Iterable<PublishArtifact>, Set<PublishArtifact>`

public interface PublishArtifactSet extends DomainObjectSet<PublishArtifact>, Buildable
A set of artifacts to be published.

## Method Summary

Modifier and Type
Method
Description
`FileCollection`
`getFiles()`

### Methods inherited from interface Buildable

`getBuildDependencies`

### Methods inherited from interface Collection

`parallelStream, removeIf, stream, toArray`

### Methods inherited from interface DomainObjectCollection

`all, all, whenObjectAdded, whenObjectAdded, whenObjectRemoved, whenObjectRemoved, withType, withType`

### Methods inherited from interface DomainObjectSet

`findAll, matching, matching, withType`

### Methods inherited from interface Iterable

`forEach`

### Methods inherited from interface Set

`add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, spliterator, toArray, toArray`

## Method Details

### getFiles

FileCollection getFiles()